<!DOCTYPE html>
<html lang="en">

  <head>
    <meta charset="UTF-8">
    <title>Web3D - Scène de crime</title>
    <script src="http://www.x3dom.org/release/x3dom.js"></script>
    <link rel="icon" href="./public/img/logo.png" type="image/icon type">
    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
      integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <!-- X3DOM CSS -->
    <link rel="stylesheet" href="http://www.x3dom.org/release/x3dom.css">
    <link rel="stylesheet" href="./public/css/style.css">

  </head>

  <body>

    <nav>
      <div class="nav nav-tabs" id="nav-tab" role="tablist">
        <img src="./public/img/logo.png" width="50px" height="50px" alt="">
        <button class="nav-link active" data-bs-toggle="tab" data-bs-target="#nav-home" type="button" role="tab"
          aria-controls="nav-home" aria-selected="true">WEB3D : Scene de crime</button>
        <button class="nav-link" data-bs-toggle="tab" data-bs-target="#nav-profile" type="button" role="tab"
          aria-controls="nav-profile" aria-selected="false">Pièce à conviction</button>
        <button class="nav-link disabled" id="nav-story-tab" data-bs-toggle="tab" data-bs-target="#nav-contact"
          type="button" role="tab" aria-controls="nav-contact" aria-selected="false">Histoire</button>
      </div>
    </nav>
    <div class="tab-content" id="nav-tabContent">
      <div class="tab-pane fade show active" id="nav-home" role="tabpanel" aria-labelledby="nav-home-tab">


        <div class="card" id="infoObjectClicked">
          <h5 class="card-header"></h5>
          <div class="card-body">
            <p class="card-text"></p>
          </div>
        </div>


        <x3d id="mapholder" disableLeftDrag="true" disableRightDrag="true" disableTouch="true" disableKeys="true">
          <scene>
            <navigationInfo type='"EXAMINE" "any"'></navigationInfo>
            <Viewpoint id="map" position="-6.82022 26.34140 1.84998" orientation="-0.99989 0.00585 -0.01359 1.53678" zNear="9.43070" zFar="46.32858" fieldOfView="0.78540"></Viewpoint>
            <inline url="x3dModels/appartment.x3d" onclick="getPositionFromMap(event)"> </inline>
          </scene>
        </x3d>

        <x3d id="viewHolder">
          <scene onclick="getInformation(event)">
            <Viewpoint id="currentViewPoint" position="-5.09475 1.79410 7.93499" orientation="-1.00000 0.00000 0.00000 0.30543" 
	          zNear="0.00238" zFar="23.79445" centerOfRotation="0.00000 0.00000 0.00000" fieldOfView="0.78540" description=""></Viewpoint>
            <inline url="x3dModels/appartment.x3d"> </inline>
          </scene>
        </x3d>

        <div id="roomShortcut">
          <button type="button" id="goToEntrance" class="btn btn-outline-primary">Entrée</button>
          <button type="button" id="goToLR" class="btn btn-outline-success">Salon</button>
          <button type="button" id="goToBedroom" class="btn btn-outline-danger">Chambre</button>
          <button type="button" id="goToBathroom" class="btn btn-outline-warning">Salle de bain</button>
        </div>

      </div>
      <div class="tab-pane fade" id="nav-profile" role="tabpanel" aria-labelledby="nav-profile-tab">

        <div class="alert alert-primary" role="alert" id="instruction">
          Trouvez les preuves dans la représentation 3D pour débloquer l'histoire !
          <a href="#" class="alert-link" data-bs-toggle="modal" data-bs-target="#exampleModal">Cliquer ici pour essayer
            !</a>
        </div>

        <div id="creativePartGallery">

          <div class="card" style="width:500px;">
            <x3d width='500px' height='400px'>
              <scene id="mainScene">
                <navigationInfo type="lookAt" id="navType"></navigationInfo>
                <inline id="evidenceBox" nameSpaceName="dcm" url="x3dModels/statue.x3d" />
                </inline>
              </scene>
            </x3d>
            <div class="card-body">
              <h5 class="card-title" id="evidence_title"></h5>
              <p class="card-text" id="evidence_description"></p>
            </div>
          </div>

          <table id="gallery"></table>
        </div>

        <!-- Modal -->
        <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
          <form class="modal-dialog">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Localisation des preuves</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
              </div>
              <div class="modal-body" id="modal_body">
                <h6>Essayer de retrouver les lieux de toutes les pièces à conviction pour accéder à l'histoire ayant
                  inspiré ce projet !</h6>
              </div>
              <div class="alert alert-primary" id="localisationMsgAlert" role="alert">
                Tous les lieux doivent être corrects pour débloquer l'histoire !
              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Fermer</button>
                <button type="submit" class="btn btn-primary">Envoyer</button>
              </div>
          </form>
        </div>
      </div>


    </div>
    <div class="tab-pane fade" id="nav-contact" role="tabpanel" aria-labelledby="nav-contact-tab">



      <div id="story">
        <div>
          <h1>Histoire</h1>

          <p>
            Félicitation vous avez trouvé les preuves dans la représentation 3D. Cette scène de crime provient d’un jeu
            vidéo sorti en 2001 : Ace Attorney, où l’on incarne un avocat qui doit rassembler des preuves et défendre
            son
            client lors de son procès. L’affaire se présente comme un didacticiel donc une affaire simple
            Voici notre client Larry Butz accusé d’avoir tué sa petite amie Cindy Stone dans son appartement avec un
            objet
            contondant. Le jour du meurtre l’accusé s’est rendu chez la victime mais elle n’était pas encore de retour
            chez elle. Le témoin qui a découvert le corps, Frank Sahwit, a aperçu l’accusé sortir de l’appartement en
            laissant la porte entrouverte. Frank Sahwit vend des journaux en faisant du porte à porte.
          </p>
          <p>
            Lors du procès, Frank Sahwit a déclaré avoir prévenu la police grâce au téléphone public et non directement
            depuis le <mark>téléphone de l’appartement</mark> de la victime vers 13h. Or selon le rapport d’autopsie, la
            victime
            serait
            morte entre 16h et 17h. Le témoin ajoute qu’il aurait entendu l’heure depuis la <mark>télévision</mark> et
            le décalage de
            3
            heures viendrait d’une émission préenregistrée. Néanmoins entre 12h et 16h il y a eu un blackout dans
            l’appartement qui rendent impossible tout appel ou rediffusion. Il annonce finalement qu’il a vu l’heure
            depuis une pendule qui serait l’arme du crime. Le procureur affirme que la <mark>statue</mark> est en effet
            une pendule
            qui
            annoncerait l’heure lorsqu’on incline la tête. Mais pour savoir ceci, il faut avoir tenu l’arme du crime
            dans
            les mains et avoir déclencher l’alarme. Cette hypothèse met en doute l’implication du témoin dans le meurtre
            de Cindy Stone. Pour expliquer le retard de 3h de la pendule, le témoin demande à la défense si l’heure
            était
            bien en retard au moment des faits. D’après le <mark>passeport</mark>, la victime s’est rendue à Paris et
            qu’en réalité
            l’heure était en avance de 9h au moment du meurtre. La cour a conclu de l’inculpation de Frank Sahwit dans
            le
            meurtre de Cindy Stone.
          </p>
          <p>
            Il est révélé que Sahwit était en fait un voleur qui se faisait passer pour un vendeur de journaux pour
            estimer les départs des habitants. Alors que Larry Butz a laissé l’accès à l’appartement, le voleur s’est
            dépêché de se faufiler dans l’appartement quand le retour de la victime a surpris le meurtrier qui a pris le
            premier objet pour frapper la victime.
          </p>
        </div>

        <div class="card">
          <ul class="list-group list-group-flush">
            <li class="list-group-item"><img class="mugshot" src="public/img/phoenixWright.png" /> Phoenix Wright,
              l'avocat de la défense</li>
            <li class="list-group-item"><img class="mugshot" src="public/img/winstonPayne.png" /> Winston Payne, le
              procureur</li>
            <li class="list-group-item"><img class="mugshot" src="public/img/cindyStone.png" /> Cindy Stone, la victime
            </li>
            <li class="list-group-item"><img class="mugshot" src="public/img/larryButz.png" /> Larry Butz, l'accusé</li>
            <li class="list-group-item"><img class="mugshot" src="public/img/frankSahwit.png" /> Frank Sahwit, le témoin
            </li>
          </ul>
        </div>

      </div>

    </div>
    </div>

    <script src="public/js/main.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
      integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p"
      crossorigin="anonymous"></script>
  </body>

</html>